#pragma once

#include "GlyphBox.h"
#include "glyph-generators.h"
#include "ofMain.h"
#include "BitmapAtlasStorage.h"
#include "GlyphGeometry.h"
#include <msdf-atlas-gen/msdf-atlas-gen.h>

namespace ofxMsdfgen {
using GlyphBox = msdf_atlas::GlyphBox;
using GlyphGeometry = msdf_atlas::GlyphGeometry;

void toOfImage(const msdfgen::Bitmap <float, 3> bitmap,
               ofFloatImage & image);
void toOfImage(const msdfgen::Bitmap <float, 3> bitmap,
               ofImage & image);
void toOfImage(const msdfgen::Bitmap <byte, 3> bitmap,
               ofImage & image);
ofImage toOfImage(const msdfgen::Bitmap <float, 3>);
}
